Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028507
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2014-12-31 12:292015-03-02 20:31
ReporterngarciaView Statuspublic 
Assigned Toaferraz 
PriorityurgentResolutionfixedFixed in Version3.0PR15Q2
StatusclosedFix in branchFixed in SCM revision70dd176270f0
ProjectionnoneETAnoneTarget Version3.0PR15Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028507: Wrong error message shown when trying to post a reconciliation with a payment method not included in the financial account

DescriptionWrong error message shown when trying to post a reconciliation with a payment with a payment method not included in the financial account
Steps To ReproduceAs group admin role:
   Create a Payment Method and configure its Upon Reconciliation Use accounts
   Add it to the Caja financial account for example
   Configure the Cleared Payment Account for that Financial Account (Accounting Configuration tab)
   Create a Payment In with that Payment Method and deposit it
   Reconcile the financial account transaction
   Check the reconciliation could be posted and Unpost it again
   Delete the Payment Method from the financial account
   Try to post the reconciliation and you will get the following error
      "Process failed during execution"
Proposed SolutionCheck if lines variable is empty in the getDocumentPaymentConfirmation function of DocFINReconciliation.java
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036670 closedmarkmm82 Process failed during execution when posting a reconciliation and there does not exists currency conversion 

-  Notes
(0074529)
aferraz (developer)
2015-02-16 18:20

Test plan:

As group admin role:

- Create a Payment Method and configure its Upon Reconciliation Use accounts
- Add it to the Caja financial account for example
- Configure the Cleared Payment Account for that Financial Account (Accounting Configuration tab)
- Create a Payment In with that Payment Method and deposit it
- Reconcile the financial account transaction
- Check the reconciliation could be posted and Unpost it again
- Delete the Payment Method from the financial account
- Try to post the reconciliation and you will get the following warning "Document disabled for accounting"
(0075061)
hgbot (developer)
2015-03-02 10:15

Repository: erp/devel/pi
Changeset: 70dd176270f099b91ffbad9b11bde1dba2a33a34
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Feb 16 18:10:06 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/70dd176270f099b91ffbad9b11bde1dba2a33a34 [^]

Fixes issue 28507: Error shown when posting a reconciliation

When posting a reconciliation with a payment with a payment method not included in the financial account, a warning message will be shown instead of an error message, saying "Documemt disabled for accounting"

---
M src/org/openbravo/erpCommon/ad_forms/DocFINReconciliation.java
---
(0075062)
Sandrahuguet (developer)
2015-03-02 10:19

Code review + testing OK
(0075108)
hudsonbot (developer)
2015-03-02 20:31

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9d659cacae03 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-12-31 12:29 ngarcia New Issue
2014-12-31 12:29 ngarcia Assigned To => AtulOpenbravo
2014-12-31 12:29 ngarcia Modules => Core
2014-12-31 12:29 ngarcia Resolution time => 1422831600
2014-12-31 12:29 ngarcia Triggers an Emergency Pack => No
2014-12-31 12:30 ngarcia Issue Monitored: networkb
2015-01-13 18:55 ngarcia Target Version => 3.0PR15Q2
2015-02-16 16:50 aferraz Assigned To AtulOpenbravo => aferraz
2015-02-16 18:20 aferraz Note Added: 0074529
2015-03-02 10:15 hgbot Checkin
2015-03-02 10:15 hgbot Note Added: 0075061
2015-03-02 10:15 hgbot Status new => resolved
2015-03-02 10:15 hgbot Resolution open => fixed
2015-03-02 10:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/70dd176270f099b91ffbad9b11bde1dba2a33a34 [^]
2015-03-02 10:19 Sandrahuguet Review Assigned To => Sandrahuguet
2015-03-02 10:19 Sandrahuguet Note Added: 0075062
2015-03-02 10:19 Sandrahuguet Status resolved => closed
2015-03-02 10:19 Sandrahuguet Fixed in Version => 3.0PR15Q2
2015-03-02 20:31 hudsonbot Checkin
2015-03-02 20:31 hudsonbot Note Added: 0075108
2017-08-18 13:44 aferraz Relationship added related to 0036670


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker